ParserPrinter (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.util
Class ParserPrinter

    java.lang.Object
      fr.inrialpes.exmo.align.util.ParserPrinter

    public class ParserPrinter

extends Object

A really simple utility that loads and alignment and prints it. A basic class for ontology alignment processing. Command synopsis is as follows:

        java fr.inrialpes.exmo.align.util.ParserPrinter [options] input [output]

where the options are:

            --renderer=className -r className  Use the given class for output.
            --parser=className -p className  Use the given class for input.
            --inverse -i              Inverse first and second ontology
            --threshold=threshold -t threshold      Trim the alugnment with regard to threshold
            --cutmethod=hard|perc|prop|best|span -T hard|perc|prop|best|span      Method to use for triming
            --debug[=n] -d [n]              Report debug info at level n,
            --output=filename -o filename Output the alignment in filename
            --help -h                       Print this message

The `input` is a filename. If output is requested (`-o` flags), then output will be written to `output` if present, stdout by default.

    $Id: ParserPrinter.java 1336 2010-03-18 20:54:11Z euzenat $

Author:
  Jérôme Euzenat

Constructor Summary
`ParserPrinter()`

Method Summary
`static void` | `main(String[] args)`
`void` | `run(String[] args)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserPrinter

    public ParserPrinter()

Method Detail

### main

    public static void main(String[] args)

### run

    public void run(String[] args)
             throws Exception

  Throws:
    `Exception`

### usage

    public void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010